# List experiment or template metadata

List experiment or template metadata

Endpoint: GET /gateway/chaos/manager/api/v3/integrations/list-experiment-or-template
Version: 1.0
Security: x-api-key

## Query parameters:

  - `accountIdentifier` (string, required)
    account id to access the resource

  - `correlationID` (string)
    correlation id is used to debug micro svc communication

  - `endTime` (integer)

  - `hubIdentifier` (string)

  - `infraType` (string)

  - `kind` (string)

  - `limit` (integer)

  - `organizationIdentifier` (string)
    organization id to access the resource

  - `page` (integer)

  - `projectIdentifier` (string)
    project id to access the resource

  - `search` (string)
    name that you want to search

  - `sortAscending` (boolean)
    if sort order ascending or not

  - `sortField` (string)
    field  name that you want to sort
    Enum: "name", "lastUpdated", "experimentName"

  - `startTime` (integer)

  - `tags` (string)

## Response 200 fields (application/json):

  - `correlationId` (string)

  - `experiments` (array)

  - `experiments.description` (string)

  - `experiments.identity` (string)

  - `experiments.infraId` (string)

  - `experiments.infraType` (string)
    Enum: "windows", "Windows", "Linux", "CloudFoundry", "Container", "Kubernetes", "KubernetesV2"

  - `experiments.name` (string)

  - `experiments.tags` (array)

  - `pagination` (object)

  - `pagination.index` (integer)

  - `pagination.limit` (integer)

  - `pagination.totalItems` (integer)

  - `pagination.totalPages` (integer)

  - `templates` (array)

  - `templates.description` (string)

  - `templates.identity` (string)

  - `templates.infraType` (string)
    Enum: "windows", "Windows", "Linux", "CloudFoundry", "Container", "Kubernetes", "KubernetesV2"

  - `templates.name` (string)

  - `templates.tags` (array)

## Response 400 fields (application/json):

  - `code` (string)
    Enum: "PIPELINE_NOT_FOUND"

  - `description` (string)

  - `message` (string)


